import type { _PKPass } from "./PKPass.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { PKSecureElementPassActivationState } from "./PKSecureElementPassActivationState.js";
export declare class _PKSecureElementPass extends _PKPass {
    static alloc(): _PKSecureElementPass;
    static new(): _PKSecureElementPass;
    init(): _PKSecureElementPass;
    primaryAccountIdentifier(): _NSString;
    primaryAccountNumberSuffix(): _NSString;
    deviceAccountIdentifier(): _NSString;
    deviceAccountNumberSuffix(): _NSString;
    passActivationState(): PKSecureElementPassActivationState;
    devicePassIdentifier(): _NSString | null;
    pairedTerminalIdentifier(): _NSString | null;
}
